if(!settings.multipleView) settings.batchView=false;
settings.tex="pdflatex";
deletepreamble();
if(settings.render < 0) settings.render=4;
settings.outformat="";
settings.inlineimage=true;
settings.embed=true;
settings.toolbar=false;
viewportmargin=(2,2);

usepackage("amsmath");
size(500);
draw((-1,0)--(10,0),EndArrow);
draw((0,-1)--(0,10),EndArrow);
path p = (0,0)--(2,10)--(10,10)--(10,2)--cycle;
fill(p,yellow);
draw((0,0)--(2,10));
draw((0,0)--(10,2));
transform t = (0,0,1,0.2,0.2,1);
path c = t*rotate(45)*(cosh(-3.),sinh(-3.));
int i=0;
for (i=-99;i<101;i=i+1) {
    c = c--t*rotate(45)*(cosh(3.*i/100.),sinh(3.*i/100.));
}
for (i=1;i<12;i=i+1) {
    draw(cut(cut(scale(1.*i)*c,(0,10)--(10,10),0).before,(10,0)--(10,10),0).after,gray);
}


label("$\mathrm{Sym}^n$",(-0.5,7),W,fontsize(40)+black);
label("$\mathcal{S}^n_{>0}$",(10,2),SE,fontsize(40)+black);

