if(!settings.multipleView) settings.batchView=false;
settings.tex="pdflatex";
deletepreamble();
if(settings.render < 0) settings.render=4;
settings.outformat="";
settings.inlineimage=true;
settings.embed=true;
settings.toolbar=false;
viewportmargin=(2,2);

usepackage("amsmath");
size(500);
draw((-1,0)--(10,0),EndArrow);
draw((0,-1)--(0,10),EndArrow);
path p = (0,0)--(2,10)--(10,10)--(10,2)--cycle;
fill(p,yellow);
draw((0,0)--(2,10));
draw((0,0)--(10,2));
transform t = (0,0,1,0.2,0.2,1);
path c = t*rotate(45)*(cosh(-3.),sinh(-3.));
int i=0;
for (i=-99;i<101;i=i+1) {
    c = c--t*rotate(45)*(cosh(3.*i/100.),sinh(3.*i/100.));
}
for (i=1;i<12;i=i+1) {
    draw(cut(cut(scale(1.*i)*c,(0,10)--(10,10),0).before,(10,0)--(10,10),0).after,gray);
}

path r1=(-1,0.015)--(0,0.2)--(10,2.05);
path r2=(-1,0.57)--(0,0.67)--(10,1.67);
path r3=(-1,1)--(10,1);
path r4=(1,-1)--(1,10);
path r5=(0.57,-1)--(0.67,0)--(1.67,10);
path r6=(0.015,-1)--(0.2,0)--(2.05,10);
draw(r1,red+linewidth(2));
draw(r2,red+linewidth(2));
draw(r3,red+linewidth(2));
draw(r4,red+linewidth(2));
draw(r5,red+linewidth(2));
draw(r6,red+linewidth(2));
//path rr=(10,2.05)--intersectionpoint(r1,r2)--intersectionpoint(r2,r3)--intersectionpoint(r3,r4)--intersectionpoint(r4,r5)--intersectionpoint(r5,r6)--(2.05,10);
//draw(rr,black);


label("$\mathrm{Sym}^n$",(-0.5,7),W,fontsize(40)+black);
label("$\mathcal{S}^n_{>0}$",(10,4),E,fontsize(40)+black);

